com.opensymphony.xwork2.util.location

## Interface Location

- All Known Implementing Classes:
    LocationImpl

      public interface Location

  A location in a resource. The location is composed of the URI of the resource, and the line and column numbers within that resource (when available), along with a description.

  Locations are mostly provided by `Locatable`s objects.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Location` | `UNKNOWN` Constant for unknown locations.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnNumber()` Get the column number of this location
    `String` | `getDescription()` Get the description of this location
    `int` | `getLineNumber()` Get the line number of this location
    `List<String>` | `getSnippet(int padding)` Gets a source code snippet with the default padding
    `String` | `getURI()` Get the URI of this location

- - ### Field Detail

    - #### UNKNOWN

          static final Location UNKNOWN

      Constant for unknown locations.

  - ### Method Detail

    - #### getDescription

          String getDescription()

      Get the description of this location
      Returns:
        the description (can be `null`)

    - #### getURI

          String getURI()

      Get the URI of this location
      Returns:
        the URI (`null` if unknown).

    - #### getLineNumber

          int getLineNumber()

      Get the line number of this location
      Returns:
        the line number (`-1` if unknown)

    - #### getColumnNumber

          int getColumnNumber()

      Get the column number of this location
      Returns:
        the column number (`-1` if unknown)

    - #### getSnippet

          List<String> getSnippet(int padding)

      Gets a source code snippet with the default padding
      Parameters:
        `padding` - The amount of lines before and after the error to include
      Returns:
        A list of source lines

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.